ru.bitel.bgbilling.modules.assist.server.bean

## Class AssistUtils

- java.lang.Object
- - ru.bitel.bgbilling.modules.assist.server.bean.AssistUtils

-     public class AssistUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssistUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `fillPayment(AssistPayment paymentDB, ru.bitel.bgbilling.modules.assist.server.protocol.AssistProtocolRequestOrder order, ru.bitel.bgbilling.modules.assist.server.protocol.AssistProtocolRequestOperation operation)`
    `static java.lang.String` | `getPaymentComment(java.sql.Connection con, java.lang.String pattern, AssistPayment payment)` Коммент платежа
    `static java.lang.String` | `getPaymentDesc(java.sql.Connection con, java.lang.String pattern, int cid)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssistUtils

          public AssistUtils()

  - ### Method Detail

    - #### getPaymentDesc

          public static java.lang.String getPaymentDesc(java.sql.Connection con,
                                                        java.lang.String pattern,
                                                        int cid)

    - #### getPaymentComment

          public static java.lang.String getPaymentComment(java.sql.Connection con,
                                                           java.lang.String pattern,
                                                           AssistPayment payment)

      Коммент платежа
      Parameters:
        `con` -
        `pattern` -
        `payment` -
      Returns:

    - #### fillPayment

          public static void fillPayment(AssistPayment paymentDB,
                                         ru.bitel.bgbilling.modules.assist.server.protocol.AssistProtocolRequestOrder order,
                                         ru.bitel.bgbilling.modules.assist.server.protocol.AssistProtocolRequestOperation operation)